/[MITgcm]/MITgcm/verification/testscript
ViewVC logotype

Diff of /MITgcm/verification/testscript

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.17 by heimbach, Tue Aug 21 15:21:10 2001 UTC revision 1.18 by adcroft, Tue Aug 21 15:51:17 2001 UTC
# Line 138  genmakemodel() Line 138  genmakemodel()
138   )   )
139  }  }
140    
141  makeclean()  makecleancompile()
142  {  {
143  # makedependmodel directory  # makecleancompile directory
144     ( cd $1;
145       if [ $force -gt 0 ]; then
146        rm -f output.txt
147        printf 'make clean ... ' 2>&1
148        make CLEAN >> make.log 2>&1
149        if [ $? -ne 0 ]; then
150          tail make.log
151          echo makecleancompile: make clean failed 1>&2
152          return 1
153        else
154          echo succesful 1>&2
155        fi
156       fi
157     )
158    }
159    
160    makecleanupafter()
161    {
162    # makeupafter directory
163   ( cd $1;   ( cd $1;
164     if [ $clean -gt 0 ]; then     if [ $clean -gt 0 ]; then
165      rm -f output.txt      rm -f output.txt
# Line 148  makeclean() Line 167  makeclean()
167      make CLEAN >> make.log 2>&1      make CLEAN >> make.log 2>&1
168      if [ $? -ne 0 ]; then      if [ $? -ne 0 ]; then
169        tail make.log        tail make.log
170        echo makeclean: make clean failed 1>&2        echo makeupafter: make clean failed 1>&2
171        return 1        return 1
172      else      else
173        echo succesful 1>&2        echo succesful 1>&2
# Line 293  $0 [-help] [-quick] [-verbose] dir1 [dir Line 312  $0 [-help] [-quick] [-verbose] dir1 [dir
312   -quiet     Reduce the amount of output   -quiet     Reduce the amount of output
313   -verbose   Produce copious amounts of output   -verbose   Produce copious amounts of output
314   -debug     Produce even more output which will mean nothing to most   -debug     Produce even more output which will mean nothing to most
315   -clean     Do "make CLEAN" before compiling. This forces a complete rebuild.   -force     Do "make CLEAN" before compiling. This forces a complete rebuild.
316     -clean     Do "make CLEAN" after compiling and testing.
317   -longtest  Compare numeric output for mean and s.d. of variables.   -longtest  Compare numeric output for mean and s.d. of variables.
318   -noieee    By default, $0 uses the -ieee option for genmake. This turns it off.   -noieee    By default, $0 uses the -ieee option for genmake. This turns it off.
319    
# Line 322  fi Line 342  fi
342  debug=0  debug=0
343  verbose=1  verbose=1
344  quick=0  quick=0
345    force=0
346  clean=0  clean=0
347  ieee=1  ieee=1
348  longtest=0  longtest=0
# Line 334  do Line 355  do
355     -quick) quick=1;;     -quick) quick=1;;
356     -verbose) verbose=2;;     -verbose) verbose=2;;
357     -debug) debug=1;;     -debug) debug=1;;
358       -force) force=1;;
359     -clean) clean=1;;     -clean) clean=1;;
360     -noieee) ieee=0;;     -noieee) ieee=0;;
361     -longtest) longtest=1;;     -longtest) longtest=1;;
# Line 344  do Line 366  do
366   esac   esac
367  done  done
368    
369  if [ $clean -gt 0 -a $quick -gt 0 ]; then  if [ $force -gt 0 -a $quick -gt 0 ]; then
370   echo You specified -quick and -clean together which conflict.   echo You specified -quick and -force together which conflict.
371   echo Please specify either -quick or -clean or neither but not both.   echo Please specify either -quick or -force or neither but not both.
372   exit 1   exit 1
373  fi  fi
374    
# Line 396  do Line 418  do
418    results='-- -- -- -- -- -- -- -- --'    results='-- -- -- -- -- -- -- -- --'
419   fi   fi
420   genmakemodel $dir/input && genmake=Y \   genmakemodel $dir/input && genmake=Y \
421   && makeclean $dir/input \   && makecleancompile $dir/input \
422   && makedependmodel $dir/input && makedepend=Y \   && makedependmodel $dir/input && makedepend=Y \
423   && makemodel $dir/input && make=Y \   && makemodel $dir/input && make=Y \
424   && runmodel $dir/input mitgcmuv && run=Y \   && runmodel $dir/input mitgcmuv && run=Y \
425   && results=`testoutput $dir` \   && results=`testoutput $dir` \
426   && makeclean $dir/input   && makecleanupafter $dir/input
427   echo   echo
428   formatresults $dir ${genmake:-N} ${makedepend:-N} ${make:-N} ${run:-N} $results   formatresults $dir ${genmake:-N} ${makedepend:-N} ${make:-N} ${run:-N} $results
429   echo   echo

Legend:
Removed from v.1.17  
changed lines
  Added in v.1.18

  ViewVC Help
Powered by ViewVC 1.1.22